Fetch Details of a QLP Entry

Fetches the details of QLP entry.

GET  /csapi/v1.3/qlp/{uuid}

Input ParametersInput Parameters
Parameter Mandatory/Optional Data Type Description
uuid required string Specify the uuid value of a QLP asset.

 

Sample: Fetch a Details of QLP EntrySample: Fetch a Details of QLP Entry

API Request

curl -X 'GET' \
' /csapi/v1.3/qlp/05b96322-355b-3e32-b1d6-875f8f2bf332' \
-H 'accept: application/json' \
-H 'Authorization: Bearer  '

API Response 

{
  "uuid": "05b96322-355b-3e32-b1d6-875f8f2bf332",
  "imageDigest": "baa84290a56890c6cd4a78109c01e4xxxxxxxxxxxxxxc97f59e90b61b0d4",
  "qlpName": "aws://SERVERLESS_FARGATE/us-west-2/362990800442/test-explore/arn:aws:ecs:us-west-2:362990800442:service/test-explore/load-test-svc-21/btestnswfixwithtag:2/sha256:baa84290a56890c6cd4a78109c01e4xxxxxxxxxbeaf231650c97f59e90b61b0d4/amd64",
  "accountId": "362990800442",
  "region": "us-west-2",
  "clusterName": "test-explore",
  "clusterIdentifier": "arn:aws:ecs:us-west-2:362990800442:cluster/test-explore",
  "workloadId": "btestnswfixwithtag:2",
  "architecture": "amd64",
  "source": "SERVERLESS_FARGATE",
  "containerName": "ecstask-container-with-tag",
  "taskArn": "arn:aws:ecs:us-west-2:362990800442:task/test-explore/a1b09162894445bcbdc6aebca48b5c9d",
  "imageName": "362990800442.dkr.ecr.us-west-2.amazonaws.com/mynginx/mynginx-service:latest",
  "imageSha": "1e49ae13705e141874d681dxxxxxxxxxxxx1a0c30a606951ed4bc50",
  "imageUuid": "485f89fa-8eea-3d93-83ac-7d046bdd3b1a",
  "imageId": "1e49ae13705e",
  "environment": null,
  "labels": null,
  "command": null,
  "cpu": 0,
  "memory": null,
  "memoryReservation": null,
  "dailyCountToday": 0,
  "vulnerabilityCount": 4,
  "firstSeen": "1784815016840",
  "lastUpdated": "1784851529497",
  "lastScanned": "1784815016841",
  "scanTypes": [
    "DYNAMIC",
    "SCA"
  ],
  "vulnPropagationDate": "1784815016841",
  "isVulnPropagated": true,
  "vulnerabilityList": [
    {
      "qid": 6563533,
      "title": "Alpine Linux 3.23 Security Update for zlib",
      "result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nzlib 1.3.1-r2 1.3.2-r0",
      "lastFound": 1780054786946,
      "firstFound": 1780054786946,
      "fixed": null,
      "severity": 2,
      "customerSeverity": 2,
      "port": null,
      "typeDetected": "CONFIRMED",
      "status": null,
      "nonRunningKernel": null,
      "nonExploitableConfig": null,
      "runningService": null,
      "risk": 20,
      "category": "Alpine Linux",
      "os": null,
      "discoveryType": [
        "AUTHENTICATED"
      ],
      "authType": [
        "UNIX_AUTH"
      ],
      "supportedBy": [
        "VM",
        "CA-Linux Agent",
        "CS-Linux"
      ],
      "product": [
        "zlib"
      ],
      "vendor": [
        "alpine"
      ],
      "cveids": [
        "CVE-2026-22184",
        "CVE-2026-27171"
      ],
      "cvssInfo": {
        "accessVector": "Adjacent Network",
        "baseScore": 5.4,
        "temporalScore": 4.3
      },
      "cvss3Info": {
        "baseScore": 7.8,
        "temporalScore": 7
      },
      "patchAvailable": true,
      "threatIntel": {
        "activeAttacks": null,
        "zeroDay": null,
        "publicExploit": true,
        "highLateralMovement": true,
        "easyExploit": null,
        "highDataLoss": null,
        "noPatch": null,
        "denialOfService": null,
        "malware": null,
        "exploitKit": null,
        "wormable": null,
        "predictedHighRisk": null,
        "privilegeEscalation": null,
        "unauthenticatedExploitation": null,
        "remoteCodeExecution": null,
        "ransomware": null,
        "solorigateSunburst": null,
        "cisaKnownExploitedVulns": null
      },
      "software": [
        {
          "name": "zlib",
          "version": "1.3.1-r2",
          "fixVersion": "1.3.2-r0",
          "scanType": null,
          "packagePath": null
        }
      ],
      "scanType": [
        "DYNAMIC"
      ],
      "qdsScore": 37,
      "layerSha": null,
      "vendorData": null,
      "published": 1773062754000
    },
    {
      "qid": 6563633,
      "title": "Alpine Linux 3.23 Security Update for musl",
      "result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nmusl 1.2.5-r21 1.2.5-r23\nmusl-utils 1.2.5-r21 1.2.5-r23",
      "lastFound": 1780054786953,
      "firstFound": 1780054786953,
      "fixed": null,
      "severity": 4,
      "customerSeverity": 4,
      "port": null,
      "typeDetected": "CONFIRMED",
      "status": null,
      "nonRunningKernel": null,
      "nonExploitableConfig": null,
      "runningService": null,
      "risk": 40,
      "category": "Alpine Linux",
      "os": null,
      "discoveryType": [
        "AUTHENTICATED"
      ],
      "authType": [
        "UNIX_AUTH"
      ],
      "supportedBy": [
        "VM",
        "CA-Linux Agent",
        "CS-Linux"
      ],
      "product": [
        "musl"
      ],
      "vendor": [
        "alpine"
      ],
      "cveids": [
        "CVE-2026-40200"
      ],
      "cvssInfo": {
        "accessVector": "Adjacent Network",
        "baseScore": 5.4,
        "temporalScore": 4
      },
      "cvss3Info": {
        "baseScore": 8.1,
        "temporalScore": 7.1
      },
      "patchAvailable": true,
      "threatIntel": {
        "activeAttacks": null,
        "zeroDay": null,
        "publicExploit": null,
        "highLateralMovement": true,
        "easyExploit": null,
        "highDataLoss": null,
        "noPatch": null,
        "denialOfService": null,
        "malware": null,
        "exploitKit": null,
        "wormable": null,
        "predictedHighRisk": null,
        "privilegeEscalation": true,
        "unauthenticatedExploitation": null,
        "remoteCodeExecution": null,
        "ransomware": null,
        "solorigateSunburst": null,
        "cisaKnownExploitedVulns": null
      },
      "software": [],
      "scanType": [
        "DYNAMIC"
      ],
      "qdsScore": 35,
      "layerSha": null,
      "vendorData": null,
      "published": 1776085539000
    }
  ],
  "scanType": "DYNAMIC",
  "packagePath": null,
  "layerSha": null,
  "type": null,
  "ignoredReason": null,
  "lifecycle": null,
  "category1": null,
  "category2": null,
  "isAiSoftware": null
},
{
  "name": "scanelf",
  "version": "1.3.8-r2",
  "fixVersion": null,
  "vulnerabilities": [],
  "scanType": "DYNAMIC",
  "packagePath": null,
  "layerSha": null,
  "type": null,
  "ignoredReason": null,
  "lifecycle": null,
  "category1": null,
  "category2": null,
  "isAiSoftware": null
},
{
  "name": "ssl_client",
  "version": "1.37.0-r30",
  "fixVersion": null,
  "vulnerabilities": [],
  "scanType": "DYNAMIC",
  "packagePath": null,
  "layerSha": null,
  "type": null,
  "ignoredReason": null,
  "lifecycle": null,
  "category1": null,
  "category2": null,
  "isAiSoftware": null
},
{
  "name": "zlib",
  "version": "1.3.1-r2",
  "fixVersion": "1.3.2-r0",
  "vulnerabilities": [
    {
      "qid": 6563533,
      "title": "Alpine Linux 3.23 Security Update for zlib",
      "result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nzlib 1.3.1-r2 1.3.2-r0",
      "lastFound": 1780054786946,
      "firstFound": 1780054786946,
      "fixed": null,
      "severity": 2,
      "customerSeverity": 2,
      "port": null,
      "typeDetected": "CONFIRMED",
      "status": null,
      "nonRunningKernel": null,
      "nonExploitableConfig": null,
      "runningService": null,
      "risk": 20,
      "category": "Alpine Linux",
      "os": null,
      "discoveryType": [
        "AUTHENTICATED"
      ],
      "authType": [
        "UNIX_AUTH"
      ],
      "supportedBy": [
        "VM",
        "CA-Linux Agent",
        "CS-Linux"
      ],
      "product": [
        "zlib"
      ],
      "vendor": [
        "alpine"
      ],
      "cveids": [
        "CVE-2026-22184",
        "CVE-2026-27171"
      ],
      "cvssInfo": {
        "accessVector": "Adjacent Network",
        "baseScore": 5.4,
        "temporalScore": 4.3
      },
      "cvss3Info": {
        "baseScore": 7.8,
        "temporalScore": 7
      },
      "patchAvailable": true,
      "threatIntel": {
        "activeAttacks": null,
        "zeroDay": null,
        "publicExploit": true,
        "highLateralMovement": true,
        "easyExploit": null,
        "highDataLoss": null,
        "noPatch": null,
        "denialOfService": null,
        "malware": null,
        "exploitKit": null,
        "wormable": null,
        "predictedHighRisk": null,
        "privilegeEscalation": null,
        "unauthenticatedExploitation": null,
        "remoteCodeExecution": null,
        "ransomware": null,
        "solorigateSunburst": null,
        "cisaKnownExploitedVulns": null
      },
      "software": [],
      "scanType": [
        "DYNAMIC"
      ],
      "qdsScore": 37,
      "layerSha": null,
      "vendorData": null,
      "published": 1773062754000
    }
  ],
  "scanType": "DYNAMIC",
  "packagePath": null,
  "layerSha": null,
  "type": null,
  "ignoredReason": null,
  "lifecycle": null,
  "category1": null,
  "category2": null,
  "isAiSoftware": null
}
],
"operatingSystem": "linux",
"qdsSeverity": "MEDIUM",
"riskScore": 76,
"maxQdsScore": null,
"formulaUsed": null,
"riskScoreCalculationDate": "1780054786958",
"cloudTags": null,
"cloudProvider": "AWS",
"lifetimeMetrics": {
  "minDaily": 49,
  "maxDaily": 49,
  "avgDaily": 49
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
  "minDaily": 49,
  "maxDaily": 49,
  "avgDaily": 49
},
"accumulationDate": null,
"vulnSummary": {
  "confirmed": {
    "sev1Count": 0,
    "sev5Count": 0,
    "sev2Count": 2,
    "sev4Count": 2,
    "sev3Count": 0
  },
  "potential": {
    "sev1Count": 0,
    "sev5Count": 0,
    "sev2Count": 0,
    "sev4Count": 0,
    "sev3Count": 0
  },
  "igs": {
    "sev1Count": 0,
    "sev5Count": 0,
    "sev2Count": 0,
    "sev4Count": 0,
    "sev3Count": 0
  },
  "patchAvailability": {
    "confirmed": {
      "sev1Count": 0,
      "sev5Count": 0,
      "sev2Count": 2,
      "sev4Count": 2,
      "sev3Count": 0
    },
    "potential": {
      "sev1Count": 0,
      "sev5Count": 0,
      "sev2Count": 0,
      "sev4Count": 0,
      "sev3Count": 0
    },
    "igs": {
      "sev1Count": 0,
      "sev5Count": 0,
      "sev2Count": 0,
      "sev4Count": 0,
      "sev3Count": 0
    }
  }
}
}